• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
Locked
1

Activating Flex Automation API

Community Beginner ,
Apr 05, 2011 Apr 05, 2011

Copy link to clipboard

Copied

We are using "Eclipse Ganymede with Flash Builder Standard Version - 4.0 plugin" +Premium License. We are working with the automation of a Flex application. The automation tool we are using is the FlexMonkium 4.1.5.

We have some issues with the automation. I have mentioned those below:

  1. Flex Automation API is limiting the features of the FlexMonkium 4.1.5 as this tool inherits the features and it underlies on the mechanism of the FlexAutomation API only.
  2. Due to the above mentioned point, the dependencies are:
    • License not present. With the trial version only limited records are allowed.
    • License not present. With the trial version only limited replays are allowed.

      When we record the user actions performed in the application with the FlexMonkium, we are getting the error as "License not present. With the trial version only limited records are allowed."

      Note: This error is thrown after 15 - 20 user actions have been performed.

      When we execute the recorded script, it is showing up a error message as "License not present. With the trial version only limited replays are allowed."

      Note: This error is thrown after 51 -20 user actions have been executed by the script.

      The complete code of the application is compiled with  "Eclipse Ganymede with Flash Builder Standard Version - 4.0 plugin" + Premium License."

      My quesion is, Does the same works with this combination > "Eclipse Ganymede withFlash Builder Standard Version - 4.0 plugin" + Premium License.

      Please help me enable the Flex Automation API since I have a premium license.

      TOPICS
      Installation and activation

      Views

      1.9K

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines
      Apr 05, 2011 Apr 05, 2011

      Copy link to clipboard

      Copied

      Hello,

      > My quesion is, Does the same works with this combination > "Eclipse Ganymede withFlash Builder Standard Version - 4.0 plugin" + Premium License.

      There's only one FB4 Plug-in installer, that supports both the Standard and the Premium features, depending on whether you entered a Standard or a Premium serial number when activating the product.

      If you activated FB4 Plug-in with a Standard SN initially, but now have a Premium SN you wish to use for enabling the Premium features, here's how to switch licenses:

      - launch FB4 Plug-in (eclipse Ganymede), and then choose "Deactivate Flash Builder..." from the Help menu. You might need to switch to the Flash perspective first, if you don't see the deactivation option enabled at first

      - in the Deactivation dialog, choose to deactivate Permanently

      - quit Ganymede, and then re-launch. This will put FB4 Plug-in back into trial mode, so you should be prompted for a new serial number, allowing you to enter your Premium SN key.

      You might need to relaunch Ganymede once or twice before the Activation screen comes up again, but you can switch to the Flash perspective to help trigger it faster.

      More details available in this KB article:

      http://kb2.adobe.com/cps/839/cpsid_83941.html

      Let us know how it goes.

      -Chris

      Votes

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines
      Community Beginner ,
      Apr 07, 2011 Apr 07, 2011

      Copy link to clipboard

      Copied

      I followed your instructions for deactivation and then re-entered my Premium license. I then restarted Eclipse and recompiled my application and I am still getting the "License not present. With the trial version only limited replays are allowed. " Alert and the "License not present. With the trial version only limited records are allowed. " Alert. I've reproduced these Alerts with both the 4.0 and 4.1 Flex sdks.

      Votes

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines
      Apr 07, 2011 Apr 07, 2011

      Copy link to clipboard

      Copied

      For diagnosing this further, it would help to see your amt3.log. There's info here on where that log file is located, depending on your platform:

      http://kb2.adobe.com/cps/834/cpsid_83478.html

      If you send that file as an attachment, to cagruss (at adobe dot com), I'll be able to take a closer look at what's happening there.

      -Chris

      Votes

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines
      Community Beginner ,
      Apr 07, 2011 Apr 07, 2011

      Copy link to clipboard

      Copied

      I also uninstalled the Flash Builder plugin for Eclipse as a coworker ran my Automation project fine with standalone and I reproduced the same issue.

      Votes

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines
      Apr 07, 2011 Apr 07, 2011

      Copy link to clipboard

      Copied

      Received this side-note from Joel, clarifying his last message:

      "I uninstalled the FB 4 plugin after seeing my coworker not reproducing the trial message when he was using standalone. I don't remember which version of the plug in I was using. After uninstalling the FB4 plugin through the uninstaller in the applications folder on my mac, I installed the standalone hoping it was the plugin issue. Still reproducing the trial message in standalone."

      Votes

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines
      Apr 12, 2011 Apr 12, 2011

      Copy link to clipboard

      Copied

      LATEST

      In a side-conversation with Joel, we figured out that the problem was with the license.properties getting out of sync. After he synced that up manually with his Premium FB4 SN, the automation API was unrestricted.

      On Windows XP the license.properties file is located in:

      ..\Documents and Settings\All Users\Application Data\Adobe\Flex

      Note: If the file is not under "All Users," it may be under a specific user account.

      On Windows 7 and Vista, the license.properties file is located in:

      ..\ProgramData\Adobe\Flex

      On Mac OS X, the license.properties file is located in:

      /Library/Application Support/Adobe/Flex/

      Votes

      Translate

      Translate

      Report

      Report
      Community guidelines
      Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
      community guidelines